import std.stdio;

void main()
{
    int[] a = new int[5]; // Соз­дать мас­сив из пя­ти це­лых чи­сел
    int[] b = a[3 .. 5]; // b ссы­ла­ет­ся на два по­след­них эле­мен­та a
    b[0] = 1;
    b[1] = 3;
    assert(a == [ 0, 0, 0, 1, 3 ]); // a был из­ме­нен
}